//file: main.c or main.cpp
#include "Arduino.h"
#include "WiFi.h"
#include <Adafruit_Neopixel.h>

#define NUMPIXELS       1
#define PIN_NEOPIXEL   39
#define NEOPIXEL_POWER 38

char ssid[] = "MyWifi";             // your network SSID (name)
char pass[] = "MyPassphrase";    // your network password (use for WPA, or use as key for WEP)

Adafruit_NeoPixel pixels(NUMPIXELS, PIN_NEOPIXEL, NEO_GRB + NEO_KHZ800);

extern "C" {
  void log_packet(uint16_t port) {
    if (WiFi.status() == WL_CONNECTED) {
      pixels.rainbow(port);
      pixels.show();
    }
  }
}

extern "C" void app_main()
{
  initArduino();

#if defined(NEOPIXEL_POWER)
  // If this board has a power control pin, we must set it to output and high
  // in order to enable the NeoPixels. We put this in an #if defined so it can
  // be reused for other boards without compilation errors
  pinMode(NEOPIXEL_POWER, OUTPUT);
  digitalWrite(NEOPIXEL_POWER, HIGH);
#endif
  pixels.begin(); // INITIALIZE NeoPixel strip object (REQUIRED)
  pixels.setBrightness(20); // not so bright

  printf("Connecting");
  WiFi.begin(ssid, pass);
    while (WiFi.status() != WL_CONNECTED) {
      delay(500);
      printf(".");
  }
  printf("\nConnected!\n");
  printf("SSID: %s\n", WiFi.SSID().c_str());
  printf("IP: %s\n", WiFi.localIP().toString().c_str());

  // Arduino-like loop()
  while(true){
    ;
  }
}
